/* FichothequeLib_API - Copyright (c) 2013-2025 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.junction;

import java.util.List;
import net.mapeadores.util.attr.Attributes;


/**
 *
 * @author Vincent Calame
 */
public interface Junction {

    public JunctionKey getJunctionKey();

    public List<Tie> getTieList();

    public Tie getTieByMode(String mode);

    public Attributes getAttributes();

    public default boolean containsMode(String mode) {
        return (getTieByMode(mode) != null);
    }

}
